.notification {
  display: flex;
  min-width: 288px;
  max-width: 568px;
  width: max-content;
  height: 48px;
  border-radius: 2px;
  box-shadow: 0px 8px 10px -5px rgba(0, 0, 0, 0.2),
  0px 16px 24px 2px rgba(0, 0, 0, 0.14),
  0px 6px 30px 5px rgba(0, 0, 0, 0.12);
  padding: 14px 24px;

  position: absolute;
  top: -100px;
  left: 0;
  right: 0;
  margin: auto;

  transition: 300ms top linear;
  z-index: 9999;

  .close-btn {
    position: absolute;
    right: 17px;
    top: 7px;
    font-size: 1.5rem;
    cursor: pointer;

     &:hover {
       opacity: 0.7;
     }
  }

  .notification-content {
    display: flex;
    align-items: center;

    .notification-text {
      margin: 0 48px 0 0;
    }

    .notification-action {
      cursor: pointer;
      padding: 5px;
      text-transform: uppercase;

      &:hover {
        opacity: 0.7;
      }
    }
  }
}

.notification.shown {
  top: 30px;
}

.notification.notification-0 {
  background: var(--successColor);
  color: var(--onSuccess);
}

.notification.notification-1 {
  background: var(--errorColor);
  color: var(--onError);
}

.notification.notification-2 {
  background: var(--primaryColor);
  color: var(--onPrimary);
}